#!/bin/bash

source .env

WIDTH=1280
HEIGHT=720

W=$WIDTH
H=$HEIGHT

CMD="echo hello"

$DOCKER run --name ffmpeg_stream_$(date +%s) jrottenberg/ffmpeg:4.1-scratch \
    -stats \
    -i http://archive.org/download/thethreeagesbusterkeaton/Buster.Keaton.The.Three.Ages.ogv \
    -c:v libx264 \
    -preset ultrafast \
    -tune zerolatency \
    -maxrate 2048k \
    -bufsize 4096k \
    -pix_fmt yuv420p \
    -vf "scale=${W}:${H}:force_original_aspect_ratio=decrease,pad=${W}:${H}:(ow-iw)/2:(oh-ih)/2" \
    -g 60 \
    -c:a aac \
    -b:a 190k \
    -ac 2 \
    -ar 44100 \
    -f flv \
    rtmp://$(hostname -I | awk '{print $1}'):1935/live/test
